"Initialize Image Building"
MCCacheRepository instVarNamed: 'default' put: nil.
Deprecation raiseWarning: false.!
"Kom"
Gofer new
	squeaksource: 'KomHttpServer';
	package: 'DynamicBindings';
	package: 'KomServices';
	package: 'KomHttpServer';
	load.
!
"Seaside"
[ Gofer new
	squeaksource: 'Seaside';
	package: 'Seaside2' constraint: [ :ref | ref branch = '8a1' ];
	load ]
		valueSupplyingAnswers: {
			{ 'username'. 'admin' }.
			{ 'password'. 'seaside' }.
		}.
!
"Seaside Addons"
Gofer new
	squeaksource: 'Seaside';
	squeaksource: 'rsrss';
	package: 'Scriptaculous';
	package: 'Comet';
	package: 'RSRSS2';
	load.!
"Background"
| gradient |
gradient := GradientFillStyle colors: (Array
	with: (Color gray: 0.05)
	with: (Color gray: 0.33)).
gradient direction: 0 @ World height.
gradient origin: 0 @ 0.
gradient radial: false.
World fillStyle: gradient.
!
"Logo"
| stream morph |
World submorphs do: [ :each |
	each class = ImageMorph
		ifTrue: [ each delete ] ].
stream := HTTPSocket httpGet: 'http://www.seaside.st/files/3d/7g2rn53ickp4mxkfjn32kwgx8xpgmm/seaside-s.png'.
stream binary; reset.
morph := (PNGReadWriter on: stream) nextImage asMorph.
morph left: 10; top: 10; lock: true; sticky: true.
World addMorph: morph.
!
"Management Browser"
Smalltalk
	at: #WAServerAdaptorBrowser
	ifPresent: [ :class |
		class open.
		SystemWindow topWindow position: 10 @ 120 ].!
"Unload Build Tools"
[ Gofer new
	package: 'HudsonBuildTools';
	unload ]
		on: Error
		do: [ :err | "package not present" ].
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Author reset.
Smalltalk garbageCollect.
Symbol compactSymbolTable.
Deprecation raiseWarning: true.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].!
